
@#include "variables.mod"
@#include "parameters.mod"
@#include "model.mod"

steady;
model_diagnostics;
check;

shocks;
var eps_A; 	stderr	0.033*1;
var eps_G; 	stderr	0.039*1	;
var eps_eta; 	stderr	0.002*10	;
var eps_E; 	stderr	0.001*100	;
 var eps_M; 	stderr	0.003*100	;
    % var esp_cerr; 	stderr	0.039	;
    % var esp_Rerr; 	stderr	0.00033	;
    % var esp_Zerr; 	stderr	0.063	;

end;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% ORDER 2 for welfare evaluation
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
//% stoch_simul(order=1,irf=0, nograph, nocorr, pruning);
% stoch_simul(order=2,irf=0, nograph, periods=20000, pruning);
stoch_simul(order=2,irf=0, nograph, nocorr, pruning);
%%%%%%%%%%%%%%%%%%%%%%%%

if policy == 1
    text1 = 'tax';
elseif policy == 2
    text1 = 'cap';
elseif policy == 3
    text1 = 'int';
end
 
if endo_u == 1
    text2 = 'endo_u';
elseif endo_u == 0;
    text2 = 'exo_u';
end

text = strcat(text1,'_',text2);

compute_irf;