function T = static_resid_tt(T, y, x, params)
% function T = static_resid_tt(T, y, x, params)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%
% Output:
%   T         [#temp variables by 1]  double   vector of temporary terms
%

assert(length(T) >= 20);

T(1) = y(33)^(1+params(33));
T(2) = y(3)-params(2)*y(8)^(1+params(3))/(1+params(3))-y(31)*T(1)/(1+params(33));
T(3) = T(2)^(-params(32));
T(4) = (-params(2))*y(8)^params(3);
T(5) = params(23)*y(26)^params(24)/params(24);
T(6) = y(26)^(params(24)-1);
T(7) = params(8)*y(24)^params(9);
T(8) = 1/y(4);
T(9) = y(8)^(1-params(5));
T(10) = (y(26)*y(7))^params(5);
T(11) = 1-(params(18)+params(19)*y(23)+params(20)*y(23)^2);
T(12) = y(8)^(-params(5));
T(13) = (y(26)*y(7))^(params(5)-1);
T(14) = 1/y(3);
T(15) = y(20)^params(17);
T(16) = params(1)*params(7)*T(15);
T(17) = y(20)^(params(17)-1);
T(18) = (y(1)/params(39))^params(13);
T(19) = y(20)^params(12);
T(20) = T(18)*T(19);

end
