clc;clear;close all;

irf_length = 200;  % specify the length of IRF of CCV you wanbt to plot ( must be set much less than 5000 )


%**** Exogenouss u
% No Tax/Environmental Policy;
pz_ss = 0.0000001; %0.05;   //%  0.0000001; //% 
muM_ss = 0.4; % 0.0001;  %% 0.4; % 0.01;
policy= 1;  % tax 
endo_u =0;
dynare JEEM2015 -Dpolicy=1 -Dendo_u=0;

C_eps_A_No_tax_exo_u = C_eps_A_tax_exo_u;
L_eps_A_No_tax_exo_u = L_eps_A_tax_exo_u;
Z_eps_A_No_tax_exo_u = Z_eps_A_tax_exo_u;

C_eps_eta_No_tax_exo_u = C_eps_eta_tax_exo_u;
L_eps_eta_No_tax_exo_u = L_eps_eta_tax_exo_u;
Z_eps_eta_No_tax_exo_u = Z_eps_eta_tax_exo_u;

C_eps_E_No_tax_exo_u = C_eps_E_tax_exo_u;
L_eps_E_No_tax_exo_u = L_eps_E_tax_exo_u;
Z_eps_E_No_tax_exo_u = Z_eps_E_tax_exo_u;

C_eps_G_No_tax_exo_u = C_eps_G_tax_exo_u;
L_eps_G_No_tax_exo_u = L_eps_G_tax_exo_u;
Z_eps_G_No_tax_exo_u = Z_eps_G_tax_exo_u;

C_eps_M_No_tax_exo_u = C_eps_M_tax_exo_u;
L_eps_M_No_tax_exo_u = L_eps_M_tax_exo_u;
Z_eps_M_No_tax_exo_u = Z_eps_M_tax_exo_u;

C_ss1 = C_ss;
L_ss1 = L_ss;
Z_ss1 = Z_ss;

N = length(V_eps_A_tax_exo_u);

ufun = @(C,L,Zlag, muM) (C - muL*L.^(1+phi)/(1+phi)- muM.*Zlag.^(1+phiM)/(1+phiM)).^(1-sigC)/(1-sigC);

% --------------------------------------
policy= 1;  % tax 
endo_u =0;
 pz_ss_set = 0.05;   %%%  0.0000001; //% 
pz_ss = pz_ss_set   %%%  0.0000001; //% 
muM_ss = 0.4; % 0.0001;  %% 0.4; % 0.01;
dynare JEEM2015 -Dpolicy=1 -Dendo_u=0;
V_ss2 = V_ss;
Z_ss2 = Z_ss;
options = optimset('display', 'off');
lamvec = zeros(1,irf_length);

%-- Find steady-state of lambdaC
lam_ss = fsolve(@(x) findCCV(x, V_ss2*ones(N,1), 1, ufun, C_ss1*ones(N,1), L_ss1*ones(N,1), Z_ss1*ones(N,1), bbeta, muM),...
    0.1, options);

dC1 = C_eps_A_No_tax_exo_u;
dL1 = L_eps_A_No_tax_exo_u;
dZ1 = Z_eps_A_No_tax_exo_u;
dC2 = C_eps_A_tax_exo_u;
dL2 = L_eps_A_tax_exo_u;
dZ2 = Z_eps_A_tax_exo_u;
muM1 = muM;
main_findCCV;
lambda_C_tax_A_constant = lamvec - lam_ss;

dC1 = C_eps_eta_No_tax_exo_u;
dL1 = L_eps_eta_No_tax_exo_u;
dZ1 = Z_eps_eta_No_tax_exo_u;
dC2 = C_eps_eta_tax_exo_u;
dL2 = L_eps_eta_tax_exo_u;
dZ2 = Z_eps_eta_tax_exo_u;
muM1 = muM;
main_findCCV;
lambda_C_tax_eta_constant = lamvec - lam_ss;

dC1 = C_eps_E_No_tax_exo_u;
dL1 = L_eps_E_No_tax_exo_u;
dZ1 = Z_eps_E_No_tax_exo_u;
dC2 = C_eps_E_tax_exo_u;
dL2 = L_eps_E_tax_exo_u;
dZ2 = Z_eps_E_tax_exo_u;
muM1 = muM;
main_findCCV;
lambda_C_tax_E_constant = lamvec - lam_ss;

dC1 = C_eps_G_No_tax_exo_u;
dL1 = L_eps_G_No_tax_exo_u;
dZ1 = Z_eps_G_No_tax_exo_u;
dC2 = C_eps_G_tax_exo_u;
dL2 = L_eps_G_tax_exo_u;
dZ2 = Z_eps_G_tax_exo_u;
muM1 = muM;
main_findCCV;
lambda_C_tax_G_constant = lamvec - lam_ss;

dC1 = C_eps_M_No_tax_exo_u;
dL1 = L_eps_M_No_tax_exo_u;
dZ1 = Z_eps_M_No_tax_exo_u;
dC2 = C_eps_M_tax_exo_u;
dL2 = L_eps_M_tax_exo_u;
dZ2 = Z_eps_M_tax_exo_u;
muM1 = muM_eps_M_tax_exo_u + muM;
main_findCCV;
lambda_C_tax_M_constant = lamvec - lam_ss;

%************
policy= 2;  % cap-and-trade 
endo_u =0;
pz_ss = pz_ss_set ;   %%%  0.0000001; //% 
muM_ss = 0.4; % 0.0001;  %% 0.4; % 0.01;
dynare JEEM2015 -Dpolicy=2 -Dendo_u=0;
V_ss2 = V_ss;
Z_ss2 = Z_ss;
options = optimset('display', 'off');
lamvec = zeros(1,irf_length);

%-- Find steady-state of lambdaC
lam_ss = fsolve(@(x) findCCV(x, V_ss2*ones(N,1), 1, ufun, C_ss1*ones(N,1), L_ss1*ones(N,1), Z_ss1*ones(N,1), bbeta, muM),...
    0.1, options);

dC1 = C_eps_A_No_tax_exo_u;
dL1 = L_eps_A_No_tax_exo_u;
dZ1 = Z_eps_A_No_tax_exo_u;
dC2 = C_eps_A_cap_exo_u;
dL2 = L_eps_A_cap_exo_u;
dZ2 = zeros(size(dC1));
muM1 = muM;
main_findCCV;
lambda_C_cap_A_constant = lamvec - lam_ss;

dC1 = C_eps_eta_No_tax_exo_u;
dL1 = L_eps_eta_No_tax_exo_u;
dZ1 = Z_eps_eta_No_tax_exo_u;
dC2 = C_eps_eta_cap_exo_u;
dL2 = L_eps_eta_cap_exo_u;
dZ2 = zeros(size(dC1));
muM1 = muM;
main_findCCV;
lambda_C_cap_eta_constant = lamvec - lam_ss;

dC1 = C_eps_E_No_tax_exo_u;
dL1 = L_eps_E_No_tax_exo_u;
dZ1 = Z_eps_E_No_tax_exo_u;
dC2 = C_eps_E_cap_exo_u;
dL2 = L_eps_E_cap_exo_u;
dZ2 = zeros(size(dC1));
muM1 = muM;
main_findCCV;
lambda_C_cap_E_constant = lamvec - lam_ss;

dC1 = C_eps_G_No_tax_exo_u;
dL1 = L_eps_G_No_tax_exo_u;
dZ1 = Z_eps_G_No_tax_exo_u;
dC2 = C_eps_G_cap_exo_u;
dL2 = L_eps_G_cap_exo_u;
dZ2 = zeros(size(dC1));
muM1 = muM;
main_findCCV;
lambda_C_cap_G_constant = lamvec - lam_ss;


dC1 = C_eps_M_No_tax_exo_u;
dL1 = L_eps_M_No_tax_exo_u;
dZ1 = Z_eps_M_No_tax_exo_u;
dC2 = C_eps_M_cap_exo_u;
dL2 = L_eps_M_cap_exo_u;
dZ2 = zeros(size(dC1));
muM1 = muM_eps_M_cap_exo_u + muM;
main_findCCV;
lambda_C_cap_M_constant = lamvec - lam_ss;
%--------------------------------------------------------------
policy= 3;  % intensity
endo_u =0;
pz_ss = pz_ss_set ;   %%%  0.0000001; //% 
muM_ss = 0.4; % 0.0001;  %% 0.4; % 0.01;
dynare JEEM2015 -Dpolicy=3 -Dendo_u=0;
V_ss2 = V_ss;
Z_ss2 = Z_ss;
options = optimset('display', 'off');
lamvec = zeros(1,irf_length);

%-- Find steady-state of lambdaC
lam_ss = fsolve(@(x) findCCV(x, V_ss2*ones(N,1), 1, ufun, C_ss1*ones(N,1), L_ss1*ones(N,1), Z_ss1*ones(N,1), bbeta, muM),...
    0.1, options);

dC1 = C_eps_A_No_tax_exo_u;
dL1 = L_eps_A_No_tax_exo_u;
dZ1 = Z_eps_A_No_tax_exo_u;
dC2 = C_eps_A_int_exo_u;
dL2 = L_eps_A_int_exo_u;
dZ2 = Z_eps_A_int_exo_u;
muM1 = muM;
main_findCCV;
lambda_C_int_A_constant = lamvec - lam_ss;

dC1 = C_eps_eta_No_tax_exo_u;
dL1 = L_eps_eta_No_tax_exo_u;
dZ1 = Z_eps_eta_No_tax_exo_u;
dC2 = C_eps_eta_int_exo_u;
dL2 = L_eps_eta_int_exo_u;
dZ2 = Z_eps_eta_int_exo_u;
muM1 = muM;
main_findCCV;
lambda_C_int_eta_constant = lamvec - lam_ss;

dC1 = C_eps_E_No_tax_exo_u;
dL1 = L_eps_E_No_tax_exo_u;
dZ1 = Z_eps_E_No_tax_exo_u;
dC2 = C_eps_E_int_exo_u;
dL2 = L_eps_E_int_exo_u;
dZ2 = Z_eps_E_int_exo_u;
muM1 = muM;
main_findCCV;
lambda_C_int_E_constant = lamvec - lam_ss;

dC1 = C_eps_G_No_tax_exo_u;
dL1 = L_eps_G_No_tax_exo_u;
dZ1 = Z_eps_G_No_tax_exo_u;
dC2 = C_eps_G_int_exo_u;
dL2 = L_eps_G_int_exo_u;
dZ2 = Z_eps_G_int_exo_u;
muM1 = muM;
main_findCCV;
lambda_C_int_G_constant = lamvec - lam_ss;

dC1 = C_eps_M_No_tax_exo_u;
dL1 = L_eps_M_No_tax_exo_u;
dZ1 = Z_eps_M_No_tax_exo_u;
dC2 = C_eps_M_int_exo_u;
dL2 = L_eps_M_int_exo_u;
dZ2 = Z_eps_M_int_exo_u;
muM1 = muM_eps_M_int_exo_u + muM;
main_findCCV;
lambda_C_int_M_constant = lamvec - lam_ss;
%------------------------------------------

%------------------------------------------
%    ****** Endogenous u ******
%------------------------------------------

% No Tax/Environmental Policy;
pz_ss = 0.0000001; %0.05;   //%  0.0000001; //% 
muM_ss = 0.4; % 0.0001;  %% 0.4; % 0.01;
policy= 1;  % tax 
endo_u =1;
dynare JEEM2015 -Dpolicy=1 -Dendo_u=1;

C_eps_A_No_tax_endo_u = C_eps_A_tax_endo_u;
L_eps_A_No_tax_endo_u = L_eps_A_tax_endo_u;
Z_eps_A_No_tax_endo_u = Z_eps_A_tax_endo_u;

C_eps_eta_No_tax_endo_u = C_eps_eta_tax_endo_u;
L_eps_eta_No_tax_endo_u = L_eps_eta_tax_endo_u;
Z_eps_eta_No_tax_endo_u = Z_eps_eta_tax_endo_u;

C_eps_E_No_tax_endo_u = C_eps_E_tax_endo_u;
L_eps_E_No_tax_endo_u = L_eps_E_tax_endo_u;
Z_eps_E_No_tax_endo_u = Z_eps_E_tax_endo_u;

C_eps_G_No_tax_endo_u = C_eps_G_tax_endo_u;
L_eps_G_No_tax_endo_u = L_eps_G_tax_endo_u;
Z_eps_G_No_tax_endo_u = Z_eps_G_tax_endo_u;

C_eps_M_No_tax_endo_u = C_eps_M_tax_endo_u;
L_eps_M_No_tax_endo_u = L_eps_M_tax_endo_u;
Z_eps_M_No_tax_endo_u = Z_eps_M_tax_endo_u;

C_ss1 = C_ss;
L_ss1 = L_ss;
Z_ss1 = Z_ss;

N = length(V_eps_A_tax_endo_u);

ufun = @(C,L,Zlag, muM) (C - muL*L.^(1+phi)/(1+phi)- muM.*Zlag.^(1+phiM)/(1+phiM)).^(1-sigC)/(1-sigC);

% --------------------------------------
policy= 1;  % tax 
endo_u =1;
 % pz_ss_set = 0.15;   %%%  0.0000001; //% 
pz_ss = pz_ss_set   %%%  0.0000001; //% 
muM_ss = 0.4; % 0.0001;  %% 0.4; % 0.01;
dynare JEEM2015 -Dpolicy=1 -Dendo_u=1;
V_ss2 = V_ss;
Z_ss2 = Z_ss;
options = optimset('display', 'off');
lamvec = zeros(1,irf_length);

%-- Find steady-state of lambdaC
lam_ss = fsolve(@(x) findCCV(x, V_ss2*ones(N,1), 1, ufun, C_ss1*ones(N,1), L_ss1*ones(N,1), Z_ss1*ones(N,1), bbeta, muM),...
    0.1, options);

dC1 = C_eps_A_No_tax_endo_u;
dL1 = L_eps_A_No_tax_endo_u;
dZ1 = Z_eps_A_No_tax_endo_u;
dC2 = C_eps_A_tax_endo_u;
dL2 = L_eps_A_tax_endo_u;
dZ2 = Z_eps_A_tax_endo_u;
muM1 = muM;
main_findCCV;
lambda_C_tax_A = lamvec - lam_ss;

dC1 = C_eps_eta_No_tax_endo_u;
dL1 = L_eps_eta_No_tax_endo_u;
dZ1 = Z_eps_eta_No_tax_endo_u;
dC2 = C_eps_eta_tax_endo_u;
dL2 = L_eps_eta_tax_endo_u;
dZ2 = Z_eps_eta_tax_endo_u;
muM1 = muM;
main_findCCV;
lambda_C_tax_eta = lamvec - lam_ss;

dC1 = C_eps_E_No_tax_endo_u;
dL1 = L_eps_E_No_tax_endo_u;
dZ1 = Z_eps_E_No_tax_endo_u;
dC2 = C_eps_E_tax_endo_u;
dL2 = L_eps_E_tax_endo_u;
dZ2 = Z_eps_E_tax_endo_u;
muM1 = muM;
main_findCCV;
lambda_C_tax_E = lamvec - lam_ss;

dC1 = C_eps_G_No_tax_endo_u;
dL1 = L_eps_G_No_tax_endo_u;
dZ1 = Z_eps_G_No_tax_endo_u;
dC2 = C_eps_G_tax_endo_u;
dL2 = L_eps_G_tax_endo_u;
dZ2 = Z_eps_G_tax_endo_u;
muM1 = muM;
main_findCCV;
lambda_C_tax_G = lamvec - lam_ss;

dC1 = C_eps_M_No_tax_endo_u;
dL1 = L_eps_M_No_tax_endo_u;
dZ1 = Z_eps_M_No_tax_endo_u;
dC2 = C_eps_M_tax_endo_u;
dL2 = L_eps_M_tax_endo_u;
dZ2 = Z_eps_M_tax_endo_u;
muM1 = muM_eps_M_tax_endo_u + muM;
main_findCCV;
lambda_C_tax_M = lamvec - lam_ss;

%************
policy= 2;  % cap-and-trade 
endo_u =1;
pz_ss = pz_ss_set ;   %%%  0.0000001; //% 
muM_ss = 0.4; % 0.0001;  %% 0.4; % 0.01;
dynare JEEM2015 -Dpolicy=2 -Dendo_u=1;
V_ss2 = V_ss;
Z_ss2 = Z_ss;
options = optimset('display', 'off');
lamvec = zeros(1,irf_length);

%-- Find steady-state of lambdaC
lam_ss = fsolve(@(x) findCCV(x, V_ss2*ones(N,1), 1, ufun, C_ss1*ones(N,1), L_ss1*ones(N,1), Z_ss1*ones(N,1), bbeta, muM),...
    0.1, options);

dC1 = C_eps_A_No_tax_endo_u;
dL1 = L_eps_A_No_tax_endo_u;
dZ1 = Z_eps_A_No_tax_endo_u;
dC2 = C_eps_A_cap_endo_u;
dL2 = L_eps_A_cap_endo_u;
dZ2 = zeros(size(dC1));
muM1 = muM;
main_findCCV;
lambda_C_cap_A = lamvec - lam_ss;

dC1 = C_eps_eta_No_tax_endo_u;
dL1 = L_eps_eta_No_tax_endo_u;
dZ1 = Z_eps_eta_No_tax_endo_u;
dC2 = C_eps_eta_cap_endo_u;
dL2 = L_eps_eta_cap_endo_u;
dZ2 = zeros(size(dC1));
muM1 = muM;
main_findCCV;
lambda_C_cap_eta = lamvec - lam_ss;

dC1 = C_eps_E_No_tax_endo_u;
dL1 = L_eps_E_No_tax_endo_u;
dZ1 = Z_eps_E_No_tax_endo_u;
dC2 = C_eps_E_cap_endo_u;
dL2 = L_eps_E_cap_endo_u;
dZ2 = zeros(size(dC1));
muM1 = muM;
main_findCCV;
lambda_C_cap_E = lamvec - lam_ss;


dC1 = C_eps_G_No_tax_endo_u;
dL1 = L_eps_G_No_tax_endo_u;
dZ1 = Z_eps_G_No_tax_endo_u;
dC2 = C_eps_G_cap_endo_u;
dL2 = L_eps_G_cap_endo_u;
dZ2 = zeros(size(dC1));
muM1 = muM;
main_findCCV;
lambda_C_cap_G = lamvec - lam_ss;


dC1 = C_eps_M_No_tax_endo_u;
dL1 = L_eps_M_No_tax_endo_u;
dZ1 = Z_eps_M_No_tax_endo_u;
dC2 = C_eps_M_cap_endo_u;
dL2 = L_eps_M_cap_endo_u;
dZ2 = zeros(size(dC1));
muM1 = muM_eps_M_cap_endo_u + muM;
main_findCCV;
lambda_C_cap_M = lamvec - lam_ss;

%--------------------------------------------------------------
policy= 3;  % intensity
endo_u =1;
pz_ss = pz_ss_set ;   %%%  0.0000001; //% 
muM_ss = 0.4; % 0.0001;  %% 0.4; % 0.01;
dynare JEEM2015 -Dpolicy=3 -Dendo_u=1;
V_ss2 = V_ss;
Z_ss2 = Z_ss;
options = optimset('display', 'off');
lamvec = zeros(1,irf_length);

%-- Find steady-state of lambdaC
lam_ss = fsolve(@(x) findCCV(x, V_ss2*ones(N,1), 1, ufun, C_ss1*ones(N,1), L_ss1*ones(N,1), Z_ss1*ones(N,1), bbeta, muM),...
    0.1, options);

dC1 = C_eps_A_No_tax_endo_u;
dL1 = L_eps_A_No_tax_endo_u;
dZ1 = Z_eps_A_No_tax_endo_u;
dC2 = C_eps_A_int_endo_u;
dL2 = L_eps_A_int_endo_u;
dZ2 = Z_eps_A_int_endo_u;
muM1 = muM;
main_findCCV;
lambda_C_int_A = lamvec - lam_ss;

dC1 = C_eps_eta_No_tax_endo_u;
dL1 = L_eps_eta_No_tax_endo_u;
dZ1 = Z_eps_eta_No_tax_endo_u;
dC2 = C_eps_eta_int_endo_u;
dL2 = L_eps_eta_int_endo_u;
dZ2 = Z_eps_eta_int_endo_u;
muM1 = muM;
main_findCCV;
lambda_C_int_eta = lamvec - lam_ss;

dC1 = C_eps_E_No_tax_endo_u;
dL1 = L_eps_E_No_tax_endo_u;
dZ1 = Z_eps_E_No_tax_endo_u;
dC2 = C_eps_E_int_endo_u;
dL2 = L_eps_E_int_endo_u;
dZ2 = Z_eps_E_int_endo_u;
muM1 = muM;
main_findCCV;
lambda_C_int_E = lamvec - lam_ss;


dC1 = C_eps_G_No_tax_endo_u;
dL1 = L_eps_G_No_tax_endo_u;
dZ1 = Z_eps_G_No_tax_endo_u;
dC2 = C_eps_G_int_endo_u;
dL2 = L_eps_G_int_endo_u;
dZ2 = Z_eps_G_int_endo_u;
muM1 = muM;
main_findCCV;
lambda_C_int_G = lamvec - lam_ss;


dC1 = C_eps_M_No_tax_endo_u;
dL1 = L_eps_M_No_tax_endo_u;
dZ1 = Z_eps_M_No_tax_endo_u;
dC2 = C_eps_M_int_endo_u;
dL2 = L_eps_M_int_endo_u;
dZ2 = Z_eps_M_int_endo_u;
muM1 = muM_eps_M_int_endo_u + muM;
main_findCCV;
lambda_C_int_M = lamvec - lam_ss;
%------------------------------------------


figure_heading;
set(gcf, 'Position',  [0, 0, 1100, 1000])  
figure
subplot(5,2,1)
plot(lambda_C_tax_A_constant*100, 'color', color1);
hold on
plot(lambda_C_cap_A_constant*100, 'color', color2);
hold on
plot(lambda_C_int_A_constant*100, 'color', color3);
title('TFP Shock','interpreter','latex','fontsize',13)
legend('Tax','Cap','Intensity');
grid on; box off;
xlim([1 40]);


subplot(5,2,2)
plot(lambda_C_tax_A*100, 'color', color1);
hold on
plot(lambda_C_cap_A*100, 'color', color2);
hold on
plot(lambda_C_int_A*100, 'color', color3);
title('TFP Shock','interpreter','latex','fontsize',13)
%legend('Tax','Cap','Intensity');
grid on; box off;
xlim([1 40]);

subplot(5,2,3)
plot(lambda_C_tax_eta_constant*100, 'color', color1);
hold on
plot(lambda_C_cap_eta_constant*100, 'color', color2);
hold on
plot(lambda_C_int_eta_constant*100, 'color', color3);
title('Monetary Policy Shock','interpreter','latex','fontsize',13)
grid on; box off;
xlim([1 40]);

subplot(5,2,4)
plot(lambda_C_tax_eta*100, 'color', color1);
hold on
plot(lambda_C_cap_eta*100, 'color', color2);
hold on
plot(lambda_C_int_eta*100, 'color', color3);
title('Monetary Policy Shock','interpreter','latex','fontsize',13)
grid on; box off;
xlim([1 40]);


subplot(5,2,5)
plot(lambda_C_tax_E_constant*100, 'color', color1);
hold on
plot(lambda_C_cap_E_constant*100, 'color', color2);
hold on
plot(lambda_C_int_E_constant*100, 'color', color3);
title('Energy Price Shock','interpreter','latex','fontsize',13)
grid on; box off;
xlim([1 40]);

subplot(5,2,6)
plot(lambda_C_tax_E*100, 'color', color1);
hold on
plot(lambda_C_cap_E*100, 'color', color2);
hold on
plot(lambda_C_int_E*100, 'color', color3);
title('Energy Price Shock','interpreter','latex','fontsize',13)
grid on; box off;
xlim([1 40]);

subplot(5,2,7)
plot(lambda_C_tax_M_constant*100, 'color', color1);
hold on
plot(lambda_C_cap_M_constant*100, 'color', color2);
hold on
plot(lambda_C_int_M_constant*100, 'color', color3);
title('Clean Air Preference Shock','interpreter','latex','fontsize',13)
grid on; box off;
xlim([1 40]);

subplot(5,2,8)
plot(lambda_C_tax_M*100, 'color', color1);
hold on
plot(lambda_C_cap_M*100, 'color', color2);
hold on
plot(lambda_C_int_M*100, 'color', color3);
title('Clean Air Preference Shock','interpreter','latex','fontsize',13)
grid on; box off;
xlim([1 40]);

subplot(5,2,9)
plot(lambda_C_tax_G_constant*100, 'color', color1);
hold on
plot(lambda_C_cap_G_constant*100, 'color', color2);
hold on
plot(lambda_C_int_G_constant*100, 'color', color3);
title('Government Spending Shock','interpreter','latex','fontsize',13)
grid on; box off;
xlim([1 40]);

subplot(5,2,10)
plot(lambda_C_tax_G*100, 'color', color1);
hold on
plot(lambda_C_cap_G*100, 'color', color2);
hold on
plot(lambda_C_int_G*100, 'color', color3);
title('Government Spending Shock','interpreter','latex','fontsize',13)
grid on; box off;
xlim([1 40]);
