%--- compute V2
N = 300;  % the length of simulated value functions
N_rep =840; %840;
indC = find(strcmp(M_.endo_names, 'C'));
indZ = find(strcmp(M_.endo_names, 'Z')); 
indL = find(strcmp(M_.endo_names, 'L'));
indmuM = find(strcmp(M_.endo_names, 'muM'));

Csim = zeros(N, N_rep);
Lsim = zeros(N, N_rep);
muMsim = zeros(N, N_rep);
Zlagsim = zeros(N, N_rep);

for i = 1:N_rep
     ex2 = mvnrnd(zeros(length(M_.Sigma_e),1) ,M_.Sigma_e,N) ;
    y2 = simult_(M_,options_,oo_.dr.ys,oo_.dr,ex2,options_.order);
    vars_sim = y2(:,M_.maximum_lag+1:end);
    Csim(:,i) = vars_sim(indC,:);
    Zsim = vars_sim(indZ,:);
    Lsim(:,i) = vars_sim(indL,:);
    muMsim(:,i) = vars_sim(indmuM,:);
    Zlagsim(:,i) = [Z_ss, Zsim(1:end-1)];
end
uu = ufun(Csim, Lsim, Zlagsim, muMsim);
bbeta2 = repmat(bbeta.^(1:N)',1,N_rep);
Vdum = sum(uu.*bbeta2);

mean_V = median(Vdum);
% Vdum2 = sort(Vdum);
% mean_V2= mean(Vdum2(200:400));
